Skip to content

Create a folder

An account can have up to 500 folders.

POST/v1/folders
Authorization
AuthorizationBearer token (OAuth access token or teakapi_ API key) · headerrequired

Bearer token. Accepts either an OAuth 2.0 access token (obtained via browser sign-in; expires after 1 hour and is refreshable) or a teakapi_ API key.

Request body
requiredapplication/json
namestringrequired

1 to 300 characters, unique per account ignoring case.

colorstring

A palette color.

Allowed:grayredorangeambergreentealbluevioletpink
Responses
201

Folder created

idstringrequired
namestringrequired
colorstring | nullrequired
Allowed:grayredorangeambergreentealbluevioletpinknull
kindstringrequired
Allowed:manualsmart
cardCountnumberrequired

Cards in the folder that are not archived or in Trash.

createdAtnumberrequired
updatedAtnumberrequired
400

Invalid name or color

409

A folder with this name exists (CONFLICT) or the account has the most folders it can (LIMIT_REACHED)

Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://teakvault.com/api/v1/folders' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "color": "gray"
}'
Response
{
  "id": "string",
  "name": "string",
  "color": "gray",
  "kind": "manual",
  "cardCount": 0,
  "createdAt": 0,
  "updatedAt": 0
}

Was this page helpful?